<?xml version='1.0' encoding='UTF-8'?>
<ejb-jar xmlns="http://java.sun.com/xml/ns/javaee" version = "3.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/ejb-jar_3_0.xsd">
    <enterprise-beans>
    <message-driven>
	      <ejb-name>TiuVistAHl7CreateRequestMdb</ejb-name>
	      <ejb-class>gov.va.med.repositories.fpds.ejb.FpdsVistAHl7CreateRequestMdb</ejb-class>
	      <transaction-type>Container</transaction-type>
	      
	      <activation-config>
	        <activation-config-property>
	          <activation-config-property-name>destinationType</activation-config-property-name>
	          <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
	        </activation-config-property>
	        
	        <activation-config-property>
	          <activation-config-property-name>subscriptionDurability</activation-config-property-name>
	          <activation-config-property-value>Durable</activation-config-property-value>
	        </activation-config-property>
	      </activation-config>
	      
	      <env-entry>
	        <env-entry-name>ejb/BeanFactoryPath</env-entry-name>
	        <env-entry-type>java.lang.String</env-entry-type>
	        <env-entry-value>beanRefContext.xml</env-entry-value>
	      </env-entry>
	      
	      <env-entry>
	        <env-entry-name>ejb/vhim400/defaultPersistOriginalMessage</env-entry-name>
	        <env-entry-type>java.lang.Boolean</env-entry-type>
	        <env-entry-value>true</env-entry-value>
	      </env-entry>
	      <env-entry>
	        <env-entry-name>defaultDomainType</env-entry-name>
	        <env-entry-type>java.lang.String</env-entry-type>
	        <env-entry-value>TIUHL7</env-entry-value>
	      </env-entry>
	          
	      <resource-ref>
	        <description></description>
	        <res-ref-name>jms/fpds/FpdsConnectionFactory</res-ref-name>
	        <res-type>javax.jms.XAQueueConnectionFactory</res-type>
	        <res-auth>Container</res-auth>
	      </resource-ref>
	    </message-driven>
	    
	   <message-driven>
	      <ejb-name>FpdsVistAHl7AckResponseMdb</ejb-name>
	      <ejb-class>gov.va.med.repositories.fpds.ejb.FpdsVistAHl7AckResponseMdb</ejb-class>
	      <transaction-type>Container</transaction-type>
	      
	      <activation-config>
	        <activation-config-property>
	          <activation-config-property-name>destinationType</activation-config-property-name>
	          <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
	        </activation-config-property>
	        
	        <activation-config-property>
	          <activation-config-property-name>subscriptionDurability</activation-config-property-name>
	          <activation-config-property-value>Durable</activation-config-property-value>
	        </activation-config-property>
	      </activation-config>
	      
	      <env-entry>
	        <env-entry-name>ejb/BeanFactoryPath</env-entry-name>
	        <env-entry-type>java.lang.String</env-entry-type>
	        <env-entry-value>beanRefContext.xml</env-entry-value>
	      </env-entry>
	     	          
	      <resource-ref>
	        <description></description>
	        <res-ref-name>jms/fpds/FpdsConnectionFactory</res-ref-name>
	        <res-type>javax.jms.XAQueueConnectionFactory</res-type>
	        <res-auth>Container</res-auth>
	      </resource-ref>
	    </message-driven>
    
	</enterprise-beans>

	<assembly-descriptor>
	
		<container-transaction>
			<method>
				<ejb-name>TiuVistAHl7CreateRequestMdb</ejb-name>
				<method-name>onMessage</method-name>
			</method>
			<trans-attribute>RequiresNew</trans-attribute>
		</container-transaction>
			
		<container-transaction>
			<method>
				<ejb-name>FpdsVistAHl7AckResponseMdb</ejb-name>
				<method-name>onMessage</method-name>
			</method>
			<trans-attribute>RequiresNew</trans-attribute>
		</container-transaction>
		
	</assembly-descriptor>
</ejb-jar>
